Bug 1265216 - Web-UI: Tenants - While editing the Tenant, Mandatory field validation fails for Name field
Web-UI: Tenants - While editing the Tenant, Mandatory field validation fails ...
Status: CLOSED DUPLICATE of bug 1265203
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 08:09 EDT by Ramesh A
Modified: 2015-11-11 15:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-28 10:14:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Name field validation fails while editing (78.68 KB, image/png)
2015-09-22 08:09 EDT, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-09-22 08:09:13 EDT
Created attachment 1075795 [details]
Name field validation fails while editing

Description of problem:
While editing the Tenant, Mandatory field validation fails for Name field

Version-Release number of selected component (if applicable):
5.5.0.1-alpha1.20150915151429_2230bd4

How reproducible:
Very

Steps to Reproduce:
1. Navigate to Configure ==> Configuration ==> Access Control ==> CFME Region: Region 0 [0]==> Tenants==> My Company==> Configuration==> Edit this item
2. Delete the Name (make it as blank) and click on Save button

Actual results:
Tenant gets saved without any change and reflects the previous value

Expected results:
Should be compelling to any of the following results
1. Should enforce the Mandatory field validation on Name field 
2. Or should display appropriate message stating: Name field value will be resuming previously value if blank value is provided

Additional info:

Note You need to log in before you can comment on or make changes to this bug.